# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::GenericCollection< Type > Class Template Reference

Generic Collection auto-pointer. More...

Inheritance diagram for Hurricane::GenericCollection< Type >:
[legend]

## Public Member Functions
| GenericCollection (const Collection< Type > &collection)
| GenericCollection (const GenericCollection< Type > &genericCollection)
| GenericCollection (Collection< Type > *collection)
Public Member Functions inherited from Hurricane::Collection< Type >
virtual | ~Collection ()
Type | getFirst () const
GenericCollection< Type > | getSubSet (const Filter< Type > &filter) const
template<class SubType >
GenericCollection< SubType > | getSubSet () const
template<class SubType >
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Type>
class Hurricane::GenericCollection< Type >

Generic Collection auto-pointer.

This class is an auto-pointer like wrapped around the raw collection. The database systematically returns collections wrapped inside GenericCollection.

Remarks
  The destruction of a GenericCollection triggers the destruction of the raw collection.

## Constructor & Destructor Documentation

## ◆ GenericCollection() [1/3]

template<class Type>

Hurricane::GenericCollection< Type >::GenericCollection | ( | const Collection< Type > & | collection | ) |
| inline

Constructor from a raw Collection.

Remarks
  This constructor build a copy of the raw collection. So the originating collection can be safely deleted.

## ◆ GenericCollection() [2/3]

template<class Type>

Hurricane::GenericCollection< Type >::GenericCollection | ( | const GenericCollection< Type > & | collection | ) |
| inline

Constructor from a raw Collection.

Remarks
  This constructor build a copy of the raw collection. So the originating collection can be safely deleted.

## ◆ GenericCollection() [3/3]

template<class Type>

Hurricane::GenericCollection< Type >::GenericCollection | ( | Collection< Type > * | collection | ) |
| inline

Constructor from a raw Collection.

Remarks
  This constructor do not build a copy of the raw collection. So the original raw collection must not be deleted. It's deletion will occurs with the one of the GenericCollection.

The documentation for this class was generated from the following files:

- Collection.h
- Collection.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved